///class logo Intro///

class logointro
{
init ()
{
  this.img_l = loadImage('assets/abstract-blue-color-neon-dots.jpg');
  this.inm_blur = loadImage('assets/abstract-blue-color-neon-dots_blur.jpg');
  this.i = loadImage('assets/new order5.jpg');
  this.hud = loadImage('assets/rond dots.png');
 }
FX()
  {
     
  push();
  texture(this.img_l);
  blendMode(SCREEN);
  rotateY(millis() / 2900)
  rotateX(millis() / 2900)
  box(2500)
  pop();
  
  push();
  texture(this.inm_blur);
  blendMode(SCREEN);
  rotateY(millis() / 5000)
  rotateX(millis() / 5000)
  box(1500)
  pop();
  

  texture(this.i);
  noStroke();
  blendMode(SCREEN);

  plane(800);
  texture(this.hud);

  noStroke();
  blendMode(SCREEN);
  rotateZ(millis() / 1900);
  plane(600);
  push();
  
  noStroke();
  blendMode(SCREEN);
  rotateZ(millis() / 1500);
  plane(500);
  pop();
  }
}